Skip to content

Instantly share code, notes, and snippets.

@ehsanatwork
Created Aug 29, 2021
Embed
What would you like to do?
rails installation process with warning
nginit@smehsan:~/wip/rails$ rails new myapp -d postgresql
create
create README.md
create Rakefile
create .ruby-version
create config.ru
create .gitignore
create .gitattributes
create Gemfile
run git init from "."
Initialized empty Git repository in /home/nginit/wip/rails/myapp/.git/
create package.json
create app
create app/assets/config/manifest.js
create app/assets/stylesheets/application.css
create app/channels/application_cable/channel.rb
create app/channels/application_cable/connection.rb
create app/controllers/application_controller.rb
create app/helpers/application_helper.rb
create app/javascript/channels/consumer.js
create app/javascript/channels/index.js
create app/javascript/packs/application.js
create app/jobs/application_job.rb
create app/mailers/application_mailer.rb
create app/models/application_record.rb
create app/views/layouts/application.html.erb
create app/views/layouts/mailer.html.erb
create app/views/layouts/mailer.text.erb
create app/assets/images
create app/assets/images/.keep
create app/controllers/concerns/.keep
create app/models/concerns/.keep
create bin
create bin/rails
create bin/rake
create bin/setup
create bin/spring
create bin/yarn
create config
create config/routes.rb
create config/application.rb
create config/environment.rb
create config/cable.yml
create config/puma.rb
create config/spring.rb
create config/storage.yml
create config/environments
create config/environments/development.rb
create config/environments/production.rb
create config/environments/test.rb
create config/initializers
create config/initializers/application_controller_renderer.rb
create config/initializers/assets.rb
create config/initializers/backtrace_silencers.rb
create config/initializers/content_security_policy.rb
create config/initializers/cookies_serializer.rb
create config/initializers/cors.rb
create config/initializers/filter_parameter_logging.rb
create config/initializers/inflections.rb
create config/initializers/mime_types.rb
create config/initializers/new_framework_defaults_6_1.rb
create config/initializers/permissions_policy.rb
create config/initializers/wrap_parameters.rb
create config/locales
create config/locales/en.yml
create config/master.key
append .gitignore
create config/boot.rb
create config/database.yml
create db
create db/seeds.rb
create lib
create lib/tasks
create lib/tasks/.keep
create lib/assets
create lib/assets/.keep
create log
create log/.keep
create public
create public/404.html
create public/422.html
create public/500.html
create public/apple-touch-icon-precomposed.png
create public/apple-touch-icon.png
create public/favicon.ico
create public/robots.txt
create tmp
create tmp/.keep
create tmp/pids
create tmp/pids/.keep
create tmp/cache
create tmp/cache/assets
create vendor
create vendor/.keep
create test/fixtures/files
create test/fixtures/files/.keep
create test/controllers
create test/controllers/.keep
create test/mailers
create test/mailers/.keep
create test/models
create test/models/.keep
create test/helpers
create test/helpers/.keep
create test/integration
create test/integration/.keep
create test/channels/application_cable/connection_test.rb
create test/test_helper.rb
create test/system
create test/system/.keep
create test/application_system_test_case.rb
create storage
create storage/.keep
create tmp/storage
create tmp/storage/.keep
remove config/initializers/cors.rb
remove config/initializers/new_framework_defaults_6_1.rb
run bundle install
Fetching gem metadata from https://rubygems.org/............
Resolving dependencies......
Fetching rake 13.0.6
Installing rake 13.0.6
Using concurrent-ruby 1.1.9
Using erubi 1.10.0
Fetching minitest 5.14.4
Using zeitwerk 2.4.2
Using crass 1.0.6
Using builder 3.2.4
Using nio4r 2.5.8
Using websocket-extensions 0.1.5
Using marcel 1.0.1
Using mini_mime 1.1.1
Using rack 2.2.3
Fetching racc 1.5.2
Fetching public_suffix 4.0.6
Fetching bindex 0.8.1
Installing bindex 0.8.1 with native extensions
Installing minitest 5.14.4
Fetching msgpack 1.4.2
Installing public_suffix 4.0.6
Installing msgpack 1.4.2 with native extensions
Installing racc 1.5.2 with native extensions
Using bundler 2.2.26
Fetching byebug 11.1.3
Installing byebug 11.1.3 with native extensions
Fetching regexp_parser 2.1.1
Installing regexp_parser 2.1.1
Fetching childprocess 3.0.0
Installing childprocess 3.0.0
Fetching ffi 1.15.3
Fetching rb-fsevent 0.11.0
Installing ffi 1.15.3 with native extensions
Installing rb-fsevent 0.11.0
Using method_source 1.0.0
Fetching pg 1.2.3
Installing pg 1.2.3 with native extensions
Using thor 1.1.0
Fetching rubyzip 2.3.2
Installing rubyzip 2.3.2
Fetching tilt 2.0.10
Installing tilt 2.0.10
Fetching semantic_range 3.0.0
Installing semantic_range 3.0.0
Fetching spring 2.1.1
Installing spring 2.1.1
Fetching turbolinks-source 5.2.0
Installing turbolinks-source 5.2.0
Using i18n 1.8.10
Using tzinfo 2.0.4
Using websocket-driver 0.7.5
Fetching puma 5.4.0
Installing puma 5.4.0 with native extensions
Using mail 2.7.1
Using rack-test 1.1.0
Fetching rack-mini-profiler 2.3.2
Installing rack-mini-profiler 2.3.2
Fetching rack-proxy 0.7.0
Installing rack-proxy 0.7.0
Using sprockets 4.0.2
Fetching addressable 2.8.0
Using nokogiri 1.12.3 (x86_64-linux)
Fetching selenium-webdriver 3.142.7
Installing addressable 2.8.0
Fetching turbolinks 5.2.1
Installing turbolinks 5.2.1
Using activesupport 6.1.4.1
Fetching bootsnap 1.8.1
Installing selenium-webdriver 3.142.7
Installing bootsnap 1.8.1 with native extensions
Using loofah 2.12.0
Fetching xpath 3.2.0
Installing xpath 3.2.0
Using rails-dom-testing 2.0.3
Using globalid 0.5.2
Using activemodel 6.1.4.1
Fetching jbuilder 2.11.2
Fetching webdrivers 4.6.1
Installing jbuilder 2.11.2
Installing webdrivers 4.6.1
Using rails-html-sanitizer 1.4.2
Fetching capybara 3.35.3
Using activejob 6.1.4.1
Using activerecord 6.1.4.1
Using actionview 6.1.4.1
Using actionpack 6.1.4.1
Using actioncable 6.1.4.1
Using activestorage 6.1.4.1
Using actionmailer 6.1.4.1
Using railties 6.1.4.1
Using sprockets-rails 3.2.2
Using actionmailbox 6.1.4.1
Using actiontext 6.1.4.1
Fetching web-console 4.1.0
Installing web-console 4.1.0
Fetching webpacker 5.4.2
Using rails 6.1.4.1
Fetching rb-inotify 0.10.1
Installing capybara 3.35.3
Installing rb-inotify 0.10.1
Fetching sassc 2.4.0
Installing webpacker 5.4.2
Fetching listen 3.7.0
Installing listen 3.7.0
Installing sassc 2.4.0 with native extensions
Fetching sassc-rails 2.1.2
Installing sassc-rails 2.1.2
Fetching sass-rails 6.0.0
Installing sass-rails 6.0.0
Bundle complete! 17 Gemfile dependencies, 73 gems now installed.
Use `bundle info [gemname]` to see where a bundled gem is installed.
run bundle binstubs bundler
rails webpacker:install
create config/webpacker.yml
Copying webpack core config
create config/webpack
create config/webpack/development.js
create config/webpack/environment.js
create config/webpack/production.js
create config/webpack/test.js
Copying postcss.config.js to app root directory
create postcss.config.js
Copying babel.config.js to app root directory
create babel.config.js
Copying .browserslistrc to app root directory
create .browserslistrc
The JavaScript app source directory already exists
apply /home/nginit/.rbenv/versions/3.0.1/lib/ruby/gems/3.0.0/gems/webpacker-5.4.2/lib/install/binstubs.rb
Copying binstubs
exist bin
create bin/webpack
create bin/webpack-dev-server
append .gitignore
Installing all JavaScript dependencies [5.4.2]
run yarn add @rails/webpacker@5.4.2 from "."
yarn add v1.22.5
info No lockfile found.
[1/4] Resolving packages...
warning @rails/webpacker > webpack > watchpack > watchpack-chokidar2 > chokidar@2.1.8: Chokidar 2 will break on node v14+. Upgrade to chokidar 3 with 15x less dependencies.
warning @rails/webpacker > webpack > watchpack > watchpack-chokidar2 > chokidar > fsevents@1.2.13: fsevents 1 will break on node v14+ and could be using insecure binaries. Upgrade to fsevents 2.
warning @rails/webpacker > postcss-preset-env > postcss-color-functional-notation > postcss-values-parser > flatten@1.0.3: flatten is deprecated in favor of utility frameworks such as lodash.
warning @rails/webpacker > webpack > node-libs-browser > url > querystring@0.2.0: The querystring API is considered Legacy. new code should use the URLSearchParams API instead.
warning @rails/webpacker > webpack > micromatch > snapdragon > source-map-resolve > resolve-url@0.2.1: https://github.com/lydell/resolve-url#deprecated
warning @rails/webpacker > webpack > micromatch > snapdragon > source-map-resolve > urix@0.1.0: Please see https://github.com/lydell/urix#deprecated
[2/4] Fetching packages...
info fsevents@2.3.2: The platform "linux" is incompatible with this module.
info "fsevents@2.3.2" is an optional dependency and failed compatibility check. Excluding it from installation.
info fsevents@1.2.13: The platform "linux" is incompatible with this module.
info "fsevents@1.2.13" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
success Saved lockfile.
success Saved 523 new dependencies.
info Direct dependencies
├─ @rails/actioncable@6.1.4
├─ @rails/activestorage@6.1.4
├─ @rails/ujs@6.1.4
├─ @rails/webpacker@5.4.2
└─ turbolinks@5.2.0
info All dependencies
├─ @babel/code-frame@7.14.5
├─ @babel/compat-data@7.15.0
├─ @babel/core@7.15.0
├─ @babel/helper-builder-binary-assignment-operator-visitor@7.14.5
├─ @babel/helper-compilation-targets@7.15.0
├─ @babel/helper-explode-assignable-expression@7.14.5
├─ @babel/helper-get-function-arity@7.14.5
├─ @babel/helper-module-imports@7.14.5
├─ @babel/helper-plugin-utils@7.14.5
├─ @babel/helper-wrap-function@7.14.5
├─ @babel/helpers@7.15.3
├─ @babel/highlight@7.14.5
├─ @babel/plugin-bugfix-v8-spread-parameters-in-optional-chaining@7.14.5
├─ @babel/plugin-proposal-async-generator-functions@7.14.9
├─ @babel/plugin-proposal-class-static-block@7.14.5
├─ @babel/plugin-proposal-dynamic-import@7.14.5
├─ @babel/plugin-proposal-export-namespace-from@7.14.5
├─ @babel/plugin-proposal-json-strings@7.14.5
├─ @babel/plugin-proposal-logical-assignment-operators@7.14.5
├─ @babel/plugin-proposal-nullish-coalescing-operator@7.14.5
├─ @babel/plugin-proposal-numeric-separator@7.14.5
├─ @babel/plugin-proposal-optional-catch-binding@7.14.5
├─ @babel/plugin-proposal-private-methods@7.14.5
├─ @babel/plugin-proposal-private-property-in-object@7.14.5
├─ @babel/plugin-proposal-unicode-property-regex@7.14.5
├─ @babel/plugin-syntax-class-properties@7.12.13
├─ @babel/plugin-syntax-top-level-await@7.14.5
├─ @babel/plugin-transform-arrow-functions@7.14.5
├─ @babel/plugin-transform-async-to-generator@7.14.5
├─ @babel/plugin-transform-block-scoped-functions@7.14.5
├─ @babel/plugin-transform-block-scoping@7.15.3
├─ @babel/plugin-transform-classes@7.14.9
├─ @babel/plugin-transform-computed-properties@7.14.5
├─ @babel/plugin-transform-dotall-regex@7.14.5
├─ @babel/plugin-transform-duplicate-keys@7.14.5
├─ @babel/plugin-transform-exponentiation-operator@7.14.5
├─ @babel/plugin-transform-for-of@7.14.5
├─ @babel/plugin-transform-function-name@7.14.5
├─ @babel/plugin-transform-literals@7.14.5
├─ @babel/plugin-transform-member-expression-literals@7.14.5
├─ @babel/plugin-transform-modules-amd@7.14.5
├─ @babel/plugin-transform-modules-commonjs@7.15.0
├─ @babel/plugin-transform-modules-systemjs@7.14.5
├─ @babel/plugin-transform-modules-umd@7.14.5
├─ @babel/plugin-transform-named-capturing-groups-regex@7.14.9
├─ @babel/plugin-transform-new-target@7.14.5
├─ @babel/plugin-transform-object-super@7.14.5
├─ @babel/plugin-transform-property-literals@7.14.5
├─ @babel/plugin-transform-reserved-words@7.14.5
├─ @babel/plugin-transform-runtime@7.15.0
├─ @babel/plugin-transform-shorthand-properties@7.14.5
├─ @babel/plugin-transform-spread@7.14.6
├─ @babel/plugin-transform-sticky-regex@7.14.5
├─ @babel/plugin-transform-template-literals@7.14.5
├─ @babel/plugin-transform-typeof-symbol@7.14.5
├─ @babel/plugin-transform-unicode-escapes@7.14.5
├─ @babel/plugin-transform-unicode-regex@7.14.5
├─ @babel/preset-env@7.15.0
├─ @babel/preset-modules@0.1.4
├─ @babel/runtime@7.15.3
├─ @babel/traverse@7.15.0
├─ @gar/promisify@1.1.2
├─ @npmcli/fs@1.0.0
├─ @npmcli/move-file@1.1.2
├─ @rails/actioncable@6.1.4
├─ @rails/activestorage@6.1.4
├─ @rails/ujs@6.1.4
├─ @rails/webpacker@5.4.2
├─ @types/json-schema@7.0.9
├─ @types/node@16.7.5
├─ @types/parse-json@4.0.0
├─ @types/q@1.5.5
├─ @webassemblyjs/floating-point-hex-parser@1.9.0
├─ @webassemblyjs/helper-code-frame@1.9.0
├─ @webassemblyjs/helper-fsm@1.9.0
├─ @webassemblyjs/helper-wasm-section@1.9.0
├─ @webassemblyjs/wasm-edit@1.9.0
├─ @webassemblyjs/wasm-opt@1.9.0
├─ @xtuc/ieee754@1.2.0
├─ acorn@6.4.2
├─ aggregate-error@3.1.0
├─ ajv-errors@1.0.1
├─ ajv-keywords@3.5.2
├─ ajv@6.12.6
├─ ansi-regex@4.1.0
├─ ansi-styles@3.2.1
├─ anymatch@3.1.2
├─ argparse@1.0.10
├─ arr-flatten@1.1.0
├─ asn1.js@5.4.1
├─ assert@1.5.0
├─ assign-symbols@1.0.0
├─ async-each@1.0.3
├─ atob@2.1.2
├─ autoprefixer@9.8.6
├─ babel-loader@8.2.2
├─ babel-plugin-macros@2.8.0
├─ base@0.11.2
├─ base64-js@1.5.1
├─ binary-extensions@2.2.0
├─ bluebird@3.7.2
├─ boolbase@1.0.0
├─ brace-expansion@1.1.11
├─ braces@2.3.2
├─ brorand@1.1.0
├─ browserify-aes@1.2.0
├─ browserify-cipher@1.0.1
├─ browserify-des@1.0.2
├─ browserify-rsa@4.1.0
├─ browserify-sign@4.2.1
├─ browserify-zlib@0.2.0
├─ buffer-xor@1.0.3
├─ buffer@4.9.2
├─ builtin-status-codes@3.0.0
├─ cache-base@1.0.1
├─ caller-callsite@2.0.0
├─ caller-path@2.0.0
├─ callsites@2.0.0
├─ camelcase@5.3.1
├─ caniuse-lite@1.0.30001252
├─ case-sensitive-paths-webpack-plugin@2.4.0
├─ chokidar@3.5.2
├─ chrome-trace-event@1.0.3
├─ class-utils@0.3.6
├─ clean-stack@2.2.0
├─ cliui@5.0.0
├─ coa@2.0.2
├─ collection-visit@1.0.0
├─ color-convert@1.9.3
├─ color-name@1.1.3
├─ color-string@1.6.0
├─ color@3.2.1
├─ colorette@1.3.0
├─ compression-webpack-plugin@4.0.1
├─ concat-map@0.0.1
├─ concat-stream@1.6.2
├─ console-browserify@1.2.0
├─ constants-browserify@1.0.0
├─ convert-source-map@1.8.0
├─ copy-concurrently@1.0.5
├─ copy-descriptor@0.1.1
├─ core-js-compat@3.16.3
├─ core-js@3.16.3
├─ core-util-is@1.0.2
├─ create-ecdh@4.0.4
├─ create-hmac@1.1.7
├─ cross-spawn@6.0.5
├─ crypto-browserify@3.12.0
├─ css-blank-pseudo@0.1.4
├─ css-color-names@0.0.4
├─ css-declaration-sorter@4.0.1
├─ css-has-pseudo@0.10.0
├─ css-loader@3.6.0
├─ css-prefers-color-scheme@3.1.1
├─ css-select-base-adapter@0.1.1
├─ css-select@2.1.0
├─ css-tree@1.0.0-alpha.37
├─ css-what@3.4.2
├─ cssdb@4.4.0
├─ cssnano-preset-default@4.0.8
├─ cssnano-util-raw-cache@4.0.1
├─ cssnano-util-same-parent@4.0.1
├─ cssnano@4.1.11
├─ csso@4.2.0
├─ cyclist@1.0.1
├─ debug@4.3.2
├─ decamelize@1.2.0
├─ decode-uri-component@0.2.0
├─ des.js@1.0.1
├─ detect-file@1.0.0
├─ diffie-hellman@5.0.3
├─ dom-serializer@0.2.2
├─ domain-browser@1.2.0
├─ domelementtype@1.3.1
├─ domutils@1.7.0
├─ dot-prop@5.3.0
├─ duplexify@3.7.1
├─ electron-to-chromium@1.3.822
├─ emoji-regex@7.0.3
├─ enhanced-resolve@4.5.0
├─ entities@2.2.0
├─ errno@0.1.8
├─ es-abstract@1.18.5
├─ es-to-primitive@1.2.1
├─ escalade@3.1.1
├─ escape-string-regexp@1.0.5
├─ eslint-scope@4.0.3
├─ esprima@4.0.1
├─ esrecurse@4.3.0
├─ estraverse@4.3.0
├─ esutils@2.0.3
├─ events@3.3.0
├─ expand-brackets@2.1.4
├─ expand-tilde@2.0.2
├─ extglob@2.0.4
├─ fast-deep-equal@3.1.3
├─ fast-json-stable-stringify@2.1.0
├─ file-loader@6.2.0
├─ fill-range@4.0.0
├─ findup-sync@3.0.0
├─ flatted@3.2.2
├─ flatten@1.0.3
├─ flush-write-stream@1.1.1
├─ for-in@1.0.2
├─ from2@2.3.0
├─ fs.realpath@1.0.0
├─ gensync@1.0.0-beta.2
├─ get-caller-file@2.0.5
├─ get-value@2.0.6
├─ glob-parent@5.1.2
├─ global-modules@2.0.0
├─ global-prefix@3.0.0
├─ graceful-fs@4.2.8
├─ has-value@1.0.0
├─ hash.js@1.1.7
├─ hex-color-regex@1.1.0
├─ hmac-drbg@1.0.1
├─ hsl-regex@1.0.0
├─ hsla-regex@1.0.0
├─ https-browserify@1.0.0
├─ icss-utils@4.1.1
├─ ieee754@1.2.1
├─ import-cwd@2.1.0
├─ import-fresh@2.0.0
├─ import-from@2.1.0
├─ import-local@2.0.0
├─ indent-string@4.0.0
├─ infer-owner@1.0.4
├─ inflight@1.0.6
├─ ini@1.3.8
├─ internal-slot@1.0.3
├─ interpret@1.4.0
├─ is-absolute-url@2.1.0
├─ is-accessor-descriptor@1.0.0
├─ is-arrayish@0.2.1
├─ is-bigint@1.0.4
├─ is-binary-path@2.1.0
├─ is-boolean-object@1.1.2
├─ is-callable@1.2.4
├─ is-color-stop@1.1.0
├─ is-core-module@2.6.0
├─ is-data-descriptor@1.0.0
├─ is-date-object@1.0.5
├─ is-descriptor@1.0.2
├─ is-directory@0.3.1
├─ is-extglob@2.1.1
├─ is-fullwidth-code-point@2.0.0
├─ is-glob@4.0.1
├─ is-negative-zero@2.0.1
├─ is-number-object@1.0.6
├─ is-obj@2.0.0
├─ is-plain-obj@1.1.0
├─ is-plain-object@2.0.4
├─ is-regex@1.1.4
├─ is-resolvable@1.1.0
├─ is-string@1.0.7
├─ is-symbol@1.0.4
├─ is-windows@1.0.2
├─ is-wsl@1.1.0
├─ isarray@1.0.0
├─ isexe@2.0.0
├─ jest-worker@26.6.2
├─ js-tokens@4.0.0
├─ jsesc@2.5.2
├─ json-parse-better-errors@1.0.2
├─ json-parse-even-better-errors@2.3.1
├─ json-schema-traverse@0.4.1
├─ kind-of@3.2.2
├─ klona@2.0.4
├─ last-call-webpack-plugin@3.0.0
├─ lines-and-columns@1.1.6
├─ loader-runner@2.4.0
├─ locate-path@3.0.0
├─ lodash.debounce@4.0.8
├─ lodash.get@4.4.2
├─ lodash.has@4.5.2
├─ lodash.memoize@4.1.2
├─ lodash.uniq@4.5.0
├─ lodash@4.17.21
├─ make-dir@3.1.0
├─ map-visit@1.0.0
├─ mdn-data@2.0.4
├─ memory-fs@0.4.1
├─ merge-stream@2.0.0
├─ micromatch@3.1.10
├─ miller-rabin@4.0.1
├─ mini-css-extract-plugin@0.9.0
├─ minimatch@3.0.4
├─ minipass-collect@1.0.2
├─ minipass-flush@1.0.5
├─ minipass-pipeline@1.2.4
├─ minizlib@2.1.2
├─ mississippi@3.0.0
├─ mixin-deep@1.3.2
├─ mkdirp@0.5.5
├─ move-concurrently@1.0.1
├─ ms@2.1.2
├─ nanomatch@1.2.13
├─ neo-async@2.6.2
├─ nice-try@1.0.5
├─ node-libs-browser@2.2.1
├─ node-releases@1.1.75
├─ normalize-range@0.1.2
├─ normalize-url@1.9.1
├─ nth-check@1.0.2
├─ num2fraction@1.2.2
├─ object-assign@4.1.1
├─ object-copy@0.1.0
├─ object-inspect@1.11.0
├─ object.assign@4.1.2
├─ object.getownpropertydescriptors@2.1.2
├─ object.values@1.1.4
├─ once@1.4.0
├─ optimize-css-assets-webpack-plugin@5.0.8
├─ os-browserify@0.3.0
├─ p-limit@2.3.0
├─ p-locate@3.0.0
├─ p-map@4.0.0
├─ p-try@2.2.0
├─ pako@1.0.11
├─ parallel-transform@1.2.0
├─ parent-module@1.0.1
├─ parse-asn1@5.1.6
├─ parse-json@4.0.0
├─ parse-passwd@1.0.0
├─ pascalcase@0.1.1
├─ path-browserify@0.0.1
├─ path-complete-extname@1.0.0
├─ path-dirname@1.0.2
├─ path-exists@3.0.0
├─ path-is-absolute@1.0.1
├─ path-key@2.0.1
├─ path-parse@1.0.7
├─ path-type@4.0.0
├─ picomatch@2.3.0
├─ pify@2.3.0
├─ pnp-webpack-plugin@1.7.0
├─ posix-character-classes@0.1.1
├─ postcss-attribute-case-insensitive@4.0.2
├─ postcss-calc@7.0.5
├─ postcss-color-functional-notation@2.0.1
├─ postcss-color-gray@5.0.0
├─ postcss-color-hex-alpha@5.0.3
├─ postcss-color-mod-function@3.0.3
├─ postcss-color-rebeccapurple@4.0.1
├─ postcss-colormin@4.0.3
├─ postcss-convert-values@4.0.1
├─ postcss-custom-media@7.0.8
├─ postcss-custom-properties@8.0.11
├─ postcss-custom-selectors@5.1.2
├─ postcss-dir-pseudo-class@5.0.0
├─ postcss-discard-comments@4.0.2
├─ postcss-discard-duplicates@4.0.2
├─ postcss-discard-empty@4.0.1
├─ postcss-discard-overridden@4.0.1
├─ postcss-double-position-gradients@1.0.0
├─ postcss-env-function@2.0.2
├─ postcss-flexbugs-fixes@4.2.1
├─ postcss-focus-visible@4.0.0
├─ postcss-focus-within@3.0.0
├─ postcss-font-variant@4.0.1
├─ postcss-gap-properties@2.0.0
├─ postcss-image-set-function@3.0.1
├─ postcss-import@12.0.1
├─ postcss-initial@3.0.4
├─ postcss-lab-function@2.0.1
├─ postcss-load-config@2.1.2
├─ postcss-loader@3.0.0
├─ postcss-logical@3.0.0
├─ postcss-media-minmax@4.0.0
├─ postcss-merge-longhand@4.0.11
├─ postcss-merge-rules@4.0.3
├─ postcss-minify-font-values@4.0.2
├─ postcss-minify-gradients@4.0.2
├─ postcss-minify-params@4.0.2
├─ postcss-minify-selectors@4.0.2
├─ postcss-modules-extract-imports@2.0.0
├─ postcss-modules-local-by-default@3.0.3
├─ postcss-modules-scope@2.2.0
├─ postcss-modules-values@3.0.0
├─ postcss-nesting@7.0.1
├─ postcss-normalize-charset@4.0.1
├─ postcss-normalize-display-values@4.0.2
├─ postcss-normalize-positions@4.0.2
├─ postcss-normalize-repeat-style@4.0.2
├─ postcss-normalize-string@4.0.2
├─ postcss-normalize-timing-functions@4.0.2
├─ postcss-normalize-unicode@4.0.1
├─ postcss-normalize-url@4.0.1
├─ postcss-normalize-whitespace@4.0.2
├─ postcss-ordered-values@4.1.2
├─ postcss-overflow-shorthand@2.0.0
├─ postcss-page-break@2.0.0
├─ postcss-place@4.0.1
├─ postcss-preset-env@6.7.0
├─ postcss-pseudo-class-any-link@6.0.0
├─ postcss-reduce-initial@4.0.3
├─ postcss-reduce-transforms@4.0.2
├─ postcss-replace-overflow-wrap@3.0.0
├─ postcss-safe-parser@4.0.2
├─ postcss-selector-matches@4.0.0
├─ postcss-selector-not@4.0.1
├─ postcss-svgo@4.0.3
├─ postcss-unique-selectors@4.0.1
├─ prepend-http@1.0.4
├─ process-nextick-args@2.0.1
├─ process@0.11.10
├─ prr@1.0.1
├─ public-encrypt@4.0.3
├─ pump@3.0.0
├─ pumpify@1.5.1
├─ punycode@1.4.1
├─ q@1.5.1
├─ query-string@4.3.4
├─ querystring-es3@0.2.1
├─ querystring@0.2.0
├─ randomfill@1.0.4
├─ read-cache@1.0.0
├─ readable-stream@2.3.7
├─ readdirp@3.6.0
├─ regenerate-unicode-properties@8.2.0
├─ regenerator-runtime@0.13.9
├─ regenerator-transform@0.14.5
├─ regexpu-core@4.7.1
├─ regjsgen@0.5.2
├─ regjsparser@0.6.9
├─ remove-trailing-separator@1.1.0
├─ repeat-element@1.1.4
├─ require-directory@2.1.1
├─ require-main-filename@2.0.0
├─ resolve-cwd@2.0.0
├─ resolve-dir@1.0.1
├─ resolve-url@0.2.1
├─ resolve@1.20.0
├─ ret@0.1.15
├─ rgb-regex@1.0.1
├─ rgba-regex@1.0.0
├─ run-queue@1.0.3
├─ safer-buffer@2.1.2
├─ sass-loader@10.1.1
├─ sass@1.38.2
├─ sax@1.2.4
├─ semver@6.3.0
├─ set-blocking@2.0.0
├─ set-value@2.0.1
├─ setimmediate@1.0.5
├─ shebang-command@1.2.0
├─ shebang-regex@1.0.0
├─ side-channel@1.0.4
├─ simple-swizzle@0.2.2
├─ snapdragon-node@2.1.1
├─ snapdragon-util@3.0.1
├─ sort-keys@1.1.2
├─ source-list-map@2.0.1
├─ source-map-resolve@0.5.3
├─ source-map-support@0.5.19
├─ source-map-url@0.4.1
├─ spark-md5@3.0.2
├─ split-string@3.1.0
├─ sprintf-js@1.0.3
├─ ssri@8.0.1
├─ stable@0.1.8
├─ static-extend@0.1.2
├─ stream-browserify@2.0.2
├─ stream-each@1.2.3
├─ stream-http@2.8.3
├─ strict-uri-encode@1.1.0
├─ string_decoder@1.3.0
├─ string.prototype.trimend@1.0.4
├─ string.prototype.trimstart@1.0.4
├─ strip-ansi@5.2.0
├─ style-loader@1.3.0
├─ stylehacks@4.0.3
├─ svgo@1.3.2
├─ tar@6.1.11
├─ terser-webpack-plugin@4.2.3
├─ terser@5.7.2
├─ through2@2.0.5
├─ timers-browserify@2.0.12
├─ timsort@0.3.0
├─ to-arraybuffer@1.0.1
├─ to-fast-properties@2.0.0
├─ to-object-path@0.3.0
├─ to-regex-range@2.1.1
├─ ts-pnp@1.2.0
├─ tty-browserify@0.0.0
├─ turbolinks@5.2.0
├─ typedarray@0.0.6
├─ unbox-primitive@1.0.1
├─ unicode-canonical-property-names-ecmascript@1.0.4
├─ unicode-match-property-ecmascript@1.0.4
├─ unicode-match-property-value-ecmascript@1.2.0
├─ unicode-property-aliases-ecmascript@1.1.0
├─ union-value@1.0.1
├─ unique-slug@2.0.2
├─ unquote@1.1.1
├─ unset-value@1.0.0
├─ upath@1.2.0
├─ uri-js@4.4.1
├─ urix@0.1.0
├─ url@0.11.0
├─ use@3.1.1
├─ util-deprecate@1.0.2
├─ util.promisify@1.0.1
├─ util@0.11.1
├─ v8-compile-cache@2.3.0
├─ vendors@1.0.4
├─ vm-browserify@1.1.2
├─ watchpack-chokidar2@2.0.1
├─ watchpack@1.7.5
├─ webpack-assets-manifest@3.1.1
├─ webpack-cli@3.3.12
├─ webpack@4.46.0
├─ which-boxed-primitive@1.0.2
├─ which-module@2.0.0
├─ which@1.3.1
├─ worker-farm@1.7.0
├─ wrap-ansi@5.1.0
├─ xtend@4.0.2
├─ yaml@1.10.2
├─ yargs-parser@13.1.2
├─ yargs@13.3.2
└─ yocto-queue@0.1.0
Done in 96.48s.
Installing webpack and webpack-cli as direct dependencies
run yarn add webpack@^4.46.0 webpack-cli@^3.3.12 from "."
yarn add v1.22.5
[1/4] Resolving packages...
[2/4] Fetching packages...
info fsevents@2.3.2: The platform "linux" is incompatible with this module.
info "fsevents@2.3.2" is an optional dependency and failed compatibility check. Excluding it from installation.
info fsevents@1.2.13: The platform "linux" is incompatible with this module.
info "fsevents@1.2.13" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
success Saved 0 new dependencies.
Done in 3.42s.
Installing dev server for live reloading
run yarn add --dev webpack-dev-server from "."
yarn add v1.22.5
[1/4] Resolving packages...
warning webpack-dev-server > sockjs > uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
[2/4] Fetching packages...
info fsevents@2.3.2: The platform "linux" is incompatible with this module.
info "fsevents@2.3.2" is an optional dependency and failed compatibility check. Excluding it from installation.
info fsevents@1.2.13: The platform "linux" is incompatible with this module.
info "fsevents@1.2.13" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
success Saved lockfile.
success Saved 118 new dependencies.
info Direct dependencies
└─ webpack-dev-server@4.0.0
info All dependencies
├─ @nodelib/fs.scandir@2.1.5
├─ @nodelib/fs.stat@2.0.5
├─ @nodelib/fs.walk@1.2.8
├─ @types/http-proxy@1.17.7
├─ @types/retry@0.12.1
├─ accepts@1.3.7
├─ ansi-html@0.0.7
├─ array-flatten@1.1.1
├─ array-union@2.1.0
├─ async@2.6.3
├─ batch@0.6.1
├─ body-parser@1.19.0
├─ bonjour@3.5.0
├─ buffer-indexof@1.1.1
├─ compressible@2.0.18
├─ compression@1.7.4
├─ connect-history-api-fallback@1.6.0
├─ content-disposition@0.5.3
├─ cookie-signature@1.0.6
├─ cookie@0.4.0
├─ deep-equal@1.1.1
├─ default-gateway@6.0.3
├─ define-lazy-prop@2.0.0
├─ del@6.0.0
├─ destroy@1.0.4
├─ detect-node@2.1.0
├─ dir-glob@3.0.1
├─ dns-equal@1.0.0
├─ dns-packet@1.3.4
├─ dns-txt@2.0.2
├─ ee-first@1.1.1
├─ eventemitter3@4.0.7
├─ execa@5.1.1
├─ express@4.17.1
├─ fast-glob@3.2.7
├─ fastq@1.12.0
├─ faye-websocket@0.11.4
├─ finalhandler@1.1.2
├─ follow-redirects@1.14.2
├─ forwarded@0.2.0
├─ fs-monkey@1.0.3
├─ get-stream@6.0.1
├─ globby@11.0.4
├─ handle-thing@2.0.1
├─ hpack.js@2.1.6
├─ html-entities@2.3.2
├─ http-deceiver@1.2.7
├─ http-parser-js@0.5.3
├─ http-proxy-middleware@2.0.1
├─ http-proxy@1.18.1
├─ human-signals@2.1.0
├─ ignore@5.1.8
├─ internal-ip@6.2.0
├─ ip-regex@4.3.0
├─ ip@1.1.5
├─ ipaddr.js@1.9.1
├─ is-arguments@1.1.1
├─ is-docker@2.2.1
├─ is-ip@3.1.0
├─ is-path-cwd@2.2.0
├─ is-path-inside@3.0.3
├─ is-plain-obj@3.0.0
├─ is-stream@2.0.1
├─ map-age-cleaner@0.1.3
├─ media-typer@0.3.0
├─ mem@8.1.1
├─ memfs@3.2.2
├─ merge-descriptors@1.0.1
├─ methods@1.1.2
├─ mime-db@1.49.0
├─ mime@1.6.0
├─ mimic-fn@3.1.0
├─ multicast-dns-service-types@1.1.0
├─ multicast-dns@6.2.3
├─ negotiator@0.6.2
├─ node-forge@0.10.0
├─ npm-run-path@4.0.1
├─ object-is@1.1.5
├─ obuf@1.1.2
├─ on-headers@1.0.2
├─ onetime@5.1.2
├─ open@8.2.1
├─ p-defer@1.0.0
├─ p-event@4.2.0
├─ p-finally@1.0.0
├─ p-retry@4.6.1
├─ p-timeout@3.2.0
├─ path-key@3.1.1
├─ path-to-regexp@0.1.7
├─ portfinder@1.0.28
├─ proxy-addr@2.0.7
├─ queue-microtask@1.2.3
├─ raw-body@2.4.0
├─ regexp.prototype.flags@1.3.1
├─ requires-port@1.0.0
├─ retry@0.13.1
├─ reusify@1.0.4
├─ run-parallel@1.2.0
├─ select-hose@2.0.0
├─ selfsigned@1.10.11
├─ serve-index@1.9.1
├─ serve-static@1.14.1
├─ signal-exit@3.0.3
├─ sockjs@0.3.21
├─ spdy-transport@3.0.0
├─ spdy@4.0.2
├─ strip-final-newline@2.0.0
├─ thunky@1.1.0
├─ type-is@1.6.18
├─ unpipe@1.0.0
├─ utils-merge@1.0.1
├─ uuid@3.4.0
├─ wbuf@1.7.3
├─ webpack-dev-middleware@5.0.0
├─ webpack-dev-server@4.0.0
├─ websocket-driver@0.7.4
├─ websocket-extensions@0.1.4
└─ ws@8.2.1
Done in 19.72s.
Webpacker successfully installed 🎉 🍰
nginit@smehsan:~/wip/rails$
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment